<?php

namespace Drupal\yoast_seo_extend\Plugin\Field\FieldWidget;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Form\FormStateInterface;
use Drupal\yoast_seo\Plugin\Field\FieldWidget\YoastSeoWidget;

/**
 * Defines the 'yoast_seo_extend' field widget.
 *
 * @FieldWidget(
 *   id = "yoast_seo_extend",
 *   label = @Translation("Real-time SEO Extend form"),
 *   field_types = {"yoast_seo"},
 * )
 */
class YoastSeoExtendWidget extends YoastSeoWidget {

  /**
   * {@inheritdoc}
   */
  public function formElement(FieldItemListInterface $items, $delta, array $element, array &$form, FormStateInterface $form_state): array {
    $element = parent::formElement($items, $delta, $element, $form, $form_state);
    foreach ($element['#attached']['library'] as &$library) {
      if ($library == 'yoast_seo/yoast_seo_core') {
        $library = 'yoast_seo_extend/yoast_seo_extend';
      }
    }
    return $element;
  }

}
